# CanLearnMoveRequirementOptions | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface CanLearnMoveRequirementOptions

`CanLearnMoveRequirement` options

interface CanLearnMoveRequirementOptions {
excludeEggMoves ?: boolean;
excludeLevelMoves ?: boolean;
excludeTmMoves ?: boolean;
includeFainted ?: boolean;
invertQuery ?: boolean;
minNumberOfPokemon ?: number;
}

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:11

##### Index

### Properties

excludeEggMoves?
excludeLevelMoves?
excludeTmMoves?
includeFainted?
invertQuery?
minNumberOfPokemon?

## Properties

### `Optional` excludeEggMoves

excludeEggMoves?: boolean

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:14

### `Optional` excludeLevelMoves

excludeLevelMoves?: boolean

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:12

### `Optional` excludeTmMoves

excludeTmMoves?: boolean

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:13

### `Optional` includeFainted

includeFainted?: boolean

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:15

### `Optional` invertQuery

invertQuery?: boolean

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:17

### `Optional` minNumberOfPokemon

minNumberOfPokemon?: number

- Defined in src/data/mystery-encounters/requirements/can-learn-move-requirement.ts:16